

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Network network_extensions.igraphx &mdash; NetExt1 1 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Network network_extensions.multilayer" href="multilayer.html" />
    <link rel="prev" title="Welcome to NetExt1’s documentation!" href="index.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> NetExt1
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Network network_extensions.igraphx</a></li>
<li class="toctree-l1"><a class="reference internal" href="multilayer.html">Network network_extensions.multilayer</a></li>
<li class="toctree-l1"><a class="reference internal" href="simulations.html">Network igraphx_simulations.simulations</a></li>
<li class="toctree-l1"><a class="reference internal" href="semantic.html">Network network_extensions.semantic</a></li>
<li class="toctree-l1"><a class="reference internal" href="structure_simulations.html">Result structure of a simulation</a></li>
<li class="toctree-l1"><a class="reference internal" href="graph_plotly.html">Helpers for plotly</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">NetExt1</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html">Docs</a> &raquo;</li>
        
      <li>Network network_extensions.igraphx</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/igraphx.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="module-network_extensions.igraphx">
<span id="network-network-extensions-igraphx"></span><h1>Network network_extensions.igraphx<a class="headerlink" href="#module-network_extensions.igraphx" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="network_extensions.igraphx.GraphCache">
<em class="property">class </em><code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">GraphCache</code><a class="reference internal" href="_modules/network_extensions/igraphx.html#GraphCache"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.GraphCache" title="Permalink to this definition">¶</a></dt>
<dd><p>singleton wird benutzt um berechnete Graphdaten zu cachen</p>
</dd></dl>

<dl class="exception">
<dt id="network_extensions.igraphx.NoDataError">
<em class="property">exception </em><code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">NoDataError</code><a class="reference internal" href="_modules/network_extensions/igraphx.html#NoDataError"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.NoDataError" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.add_edge_safe">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">add_edge_safe</code><span class="sig-paren">(</span><em class="sig-param">gr</em>, <em class="sig-param">ns_vertex</em>, <em class="sig-param">nm_vertex</em>, <em class="sig-param">node_edge_properties</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#add_edge_safe"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.add_edge_safe" title="Permalink to this definition">¶</a></dt>
<dd><p>safe adding of edge, makes sure taht only edges are added which are not existing. An edge is understood the same if it has the same properties.
This can be very slow.</p>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.calcTop">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">calcTop</code><span class="sig-paren">(</span><em class="sig-param">ng</em>, <em class="sig-param">number</em>, <em class="sig-param">func='betweenness'</em>, <em class="sig-param">filter_node=None</em>, <em class="sig-param">func_edge='edge_betweenness'</em>, <em class="sig-param">with_value=True</em>, <em class="sig-param">displayAttr='lastname'</em>, <em class="sig-param">displayAttr2='name'</em>, <em class="sig-param">deleteZero=True</em>, <em class="sig-param">normalize=None</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#calcTop"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.calcTop" title="Permalink to this definition">¶</a></dt>
<dd><p>berechne die Zentralitätsmße von Kanten und Knoten, sortiere 
dann nach den Werte und gib die durch NUMBER bestimmte Anzahl zurück.</p>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.calculatePositions">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">calculatePositions</code><span class="sig-paren">(</span><em class="sig-param">graphs</em>, <em class="sig-param">storage_id</em>, <em class="sig-param">pickle_file=None</em>, <em class="sig-param">delete=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#calculatePositions"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.calculatePositions" title="Permalink to this definition">¶</a></dt>
<dd><p>berechnet Positionen der Knoten für alle Graphen in graphs und speichert die Ergebnisse 
in GraphCache
&#64;param graphs dict mit year-&gt;graph
&#64;param storage_id
&#64;returns dict mit dict[year][“x”] = liste der x-koordinaten der Knoten,</p>
<blockquote>
<div><p>dict mit dict[year][“xy] = liste der y-koordinaten der Knoten.</p>
</div></blockquote>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.chunks">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">chunks</code><span class="sig-paren">(</span><em class="sig-param">l</em>, <em class="sig-param">n</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#chunks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.chunks" title="Permalink to this definition">¶</a></dt>
<dd><p>Yield successive n-sized chunks from l.</p>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.createYearNetworks">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">createYearNetworks</code><span class="sig-paren">(</span><em class="sig-param">ng</em>, <em class="sig-param">startyear</em>, <em class="sig-param">endyear</em>, <em class="sig-param">typ=None</em>, <em class="sig-param">startYear_default=1880</em>, <em class="sig-param">endYear_default=2010</em>, <em class="sig-param">offset_year=0</em>, <em class="sig-param">filter_degree_0=True</em>, <em class="sig-param">progressBar=None</em>, <em class="sig-param">tqdm=None</em>, <em class="sig-param">startyear_attr='startYear'</em>, <em class="sig-param">endyear_attr='endYear'</em>, <em class="sig-param">startyear_edge_attr='from_year'</em>, <em class="sig-param">endyear_edge_attr='to_year'</em>, <em class="sig-param">include_nodes_without_date=False</em>, <em class="sig-param">simplify=False</em>, <em class="sig-param">combine_edges=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#createYearNetworks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.createYearNetworks" title="Permalink to this definition">¶</a></dt>
<dd><dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ng</strong> – </p></li>
<li><p><strong>startyear</strong> – </p></li>
<li><p><strong>endyear</strong> – </p></li>
<li><p><strong>typ</strong> – </p></li>
<li><p><strong>startYear_default</strong> – </p></li>
<li><p><strong>endYear_default</strong> – </p></li>
<li><p><strong>offset_year</strong> – </p></li>
<li><p><strong>filter_degree_0</strong> – deletes all nodes with degree == 0, defaults to true</p></li>
<li><p><strong>progressBar</strong> – </p></li>
<li><p><strong>tqdm</strong> – </p></li>
<li><p><strong>startyear_attr</strong> – attribute which contains the begin of existence of a node (defaults to startYear)</p></li>
<li><p><strong>endyear_attr</strong> – attribute which contains the begin of existence of a node (defaults to endYear)</p></li>
<li><p><strong>startyear_edge_attr</strong> – </p></li>
<li><p><strong>endyear_edge_attr</strong> – </p></li>
<li><p><strong>include_nodes_without_date</strong> – Keeps node in the graph if they don’t have date (defaults to false)</p></li>
<li><p><strong>simplify</strong> – </p></li>
<li><p><strong>combine_edges</strong> – </p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
</dl>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.createYearNetworksParallel">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">createYearNetworksParallel</code><span class="sig-paren">(</span><em class="sig-param">ng</em>, <em class="sig-param">startyear</em>, <em class="sig-param">endyear</em>, <em class="sig-param">worker=6</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#createYearNetworksParallel"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.createYearNetworksParallel" title="Permalink to this definition">¶</a></dt>
<dd><p>Creates networks per year, parallelized.
for the keyword afruments and defaults see.
&#64;see createYearNetwork</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ng</strong> – network for details &#64;see createYearNetwork</p></li>
<li><p><strong>startyear</strong> – integer for start year</p></li>
<li><p><strong>endyear</strong> – integer for end year</p></li>
<li><p><strong>worker</strong> – number of workers in parallel</p></li>
<li><p><strong>kwargs</strong> – &#64;see createYearNetwork</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>dictionary years and network</p>
</dd>
</dl>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.getYearsFromFile">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">getYearsFromFile</code><span class="sig-paren">(</span><em class="sig-param">fl</em>, <em class="sig-param">pattern='.*_network_(.*).graphml'</em>, <em class="sig-param">max_no_of_files=400</em>, <em class="sig-param">selected_years=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#getYearsFromFile"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.getYearsFromFile" title="Permalink to this definition">¶</a></dt>
<dd><p>gibt die inm  dem year-Graph file enthaltenen Jahres zurück, unterstützt alle Formate,
die von igraph unterstützt werden.
:param Filehandle:
:param pattern: matching pattern für die Filenamen ()
:param list or int selected_years: selected years
&#64;returns list of years</p>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.loadGraphsFromFile">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">loadGraphsFromFile</code><span class="sig-paren">(</span><em class="sig-param">fl</em>, <em class="sig-param">pattern='.*_network_(.*).graphml'</em>, <em class="sig-param">max_no_of_files=400</em>, <em class="sig-param">selectedYears=None</em>, <em class="sig-param">no_content=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#loadGraphsFromFile"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.loadGraphsFromFile" title="Permalink to this definition">¶</a></dt>
<dd><p>erzeugt den Graphen aus dem year-Graph file, unterstützt alle Formate,
die von igraph unterstützt werden.
:param Filehandle:
:param pattern: matching pattern für die Filenamen ()
:param list or int selectedYears: selected years
&#64;returns igraph Graphen</p>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.mergeAllGraphsIntervall">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">mergeAllGraphsIntervall</code><span class="sig-paren">(</span><em class="sig-param">graphs</em>, <em class="sig-param">intervall</em>, <em class="sig-param">mergeattr='label'</em>, <em class="sig-param">chooseOnlyNodesInYear=True</em>, <em class="sig-param">start_attr='startYear'</em>, <em class="sig-param">end_attr='endYear'</em>, <em class="sig-param">tqdm=&lt;class 'tqdm.std.tqdm'&gt;</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#mergeAllGraphsIntervall"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.mergeAllGraphsIntervall" title="Permalink to this definition">¶</a></dt>
<dd><p>Fügt alle graphen in intervall zusammen.
:param dict graphs:Jahresgraphen als Dict.
:param int intervall: intervalllänge
:param str mergeattr: defaults zu “label” Attribute an den Knoten, die diese indentifiziert. 
:param int chooseOnlyNodesInYear: Falls gesetzt, dann werden alle Knoten gelöscht, wenn sie im entsprechende Jahr nicht existieren
dazu muss es die Attribute startYear und endYear in den Graphen geben.
:param tqdm (optional): handover tqdm from the tqdm package (e.g. if running in an notebook this should be tqdm_notebook,
default is the standard tqdm
:returns: merged graphs als liste</p>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.mergeGraphs">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">mergeGraphs</code><span class="sig-paren">(</span><em class="sig-param">graphs</em>, <em class="sig-param">yearList</em>, <em class="sig-param">mergeattr='label'</em>, <em class="sig-param">onlyNodesInYear=None</em>, <em class="sig-param">start_attr='startYear'</em>, <em class="sig-param">end_attr='endYear'</em>, <em class="sig-param">strict=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#mergeGraphs"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.mergeGraphs" title="Permalink to this definition">¶</a></dt>
<dd><p>vereinigt alle graphen eines year graph bundles
:param dict  graph: ein Dict mit Jahr:Graph
:param list(int) yearList: Liste mit Jahren, die zusammengefasst werden sollen.
:param int onlyNodesInYear: Falls gesetzt, dann werden alle Knoten gelöscht, wenn sie im entsprechende Jahr nicht existieren
dazu muss es die Attribute startYear und endYear in den Graphen geben.
:param bool strict: Falls True werden nur Graphen zurückgegeben, die genau in dem Intervall liegen, dass von der yearList definiert
wird (min(yearList) - max(yearList), d.h. alle Knoten Kanten müssen in dem Intervall beginnen und enden.
:returns: vereinheitlichter Graph</p>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.plot_matrix_as_lines">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">plot_matrix_as_lines</code><span class="sig-paren">(</span><em class="sig-param">ma</em>, <em class="sig-param">startyear</em>, <em class="sig-param">endyear</em>, <em class="sig-param">filename=None</em>, <em class="sig-param">dataverseName=None</em>, <em class="sig-param">dvh=None</em>, <em class="sig-param">dataset=None</em>, <em class="sig-param">person_selection=None</em>, <em class="sig-param">threshold=None</em>, <em class="sig-param">deleteZeroLine=True</em>, <em class="sig-param">normalizeByMaxPerLine=False</em>, <em class="sig-param">max_len_label=20</em>, <em class="sig-param">kwargs_plot={}</em>, <em class="sig-param">showTimeLine=True</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#plot_matrix_as_lines"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.plot_matrix_as_lines" title="Permalink to this definition">¶</a></dt>
<dd><p>Plots eatch row of the matrix as lines (Spalten sind Jahre)
:param Matrix ma: Matrix, die dargestellt werdne sollen,
:param int startyear: Anfangsjahr für die Darstellung
:param int endyear: Endjahr
:param str filename (optional): Wenn gesetzt wird das Bild unter dem Namen abgespeichert
:param str dataverseName  (optional): Name die das Bild im Dataverse erhalten soll.
:param DataverseHandler dvh (optional): Handler für Dataverse
:param DataSet dataset  (optional): Dataverse datasetm, wohin das Bild gespeichert werden soll.
:param person_selection (optional): Entweder eine Liste mit Namen (=Zeilen in der Matrx), die dargestellt werden sollen.
Oder eine Dict mit den Namen als Keys und die Anfangswert/Endwert. Diese werden dann jeweils als Linien 
in einer zweiten Graphik dargestellt um z.B. Zeiten mit Kurven verläufen darzustellen.</p>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.projectBipartite">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">projectBipartite</code><span class="sig-paren">(</span><em class="sig-param">og</em>, <em class="sig-param">types</em>, <em class="sig-param">inverse=False</em>, <em class="sig-param">progressBar=None</em>, <em class="sig-param">tqdm=None</em>, <em class="sig-param">safe=True</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#projectBipartite"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.projectBipartite" title="Permalink to this definition">¶</a></dt>
<dd><dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>og</strong> – Network</p></li>
<li><p><strong>types</strong> – </p></li>
<li><p><strong>inverse</strong> – </p></li>
<li><p><strong>progressBar</strong> – </p></li>
<li><p><strong>tqdm</strong> – </p></li>
<li><p><strong>safe</strong> – </p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
</dl>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.projectBipartiteParallel">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">projectBipartiteParallel</code><span class="sig-paren">(</span><em class="sig-param">og</em>, <em class="sig-param">types</em>, <em class="sig-param">inverse=False</em>, <em class="sig-param">safe=True</em>, <em class="sig-param">worker=5</em>, <em class="sig-param">only_edges_nodes=False</em>, <em class="sig-param">extended_graph=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#projectBipartiteParallel"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.projectBipartiteParallel" title="Permalink to this definition">¶</a></dt>
<dd><p>Creates a projection onto one the types of projections. The name attribute of the vertices is used to identify nodes as unique.
:param og: graph
:param types: name of a boolean vertex attribute, if this is true than the node is part of the projection
:param inverse: instead of choosing the set of nodes where types is true choose the inverse
:param safe: default = true, if true safe adding of edge, makes sure taht only edges are added which are not existing. An edge is understood the same if it has the same properties.</p>
<blockquote>
<div><p>This can be very slow.</p>
</div></blockquote>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>worker</strong> – number of workers, defaults to 5</p></li>
<li><p><strong>only_edges_nodes</strong> – defaults to False, all nodes without edges are deleted</p></li>
<li><p><strong>extended_graph</strong> – (experimental) add an extendedgraph object this is the used for the projection.</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
</dl>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.projectBipartiteParallel2">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">projectBipartiteParallel2</code><span class="sig-paren">(</span><em class="sig-param">og</em>, <em class="sig-param">types</em>, <em class="sig-param">inverse=False</em>, <em class="sig-param">safe=True</em>, <em class="sig-param">worker=5</em>, <em class="sig-param">vattr_name='name'</em>, <em class="sig-param">save_intermediate=True</em>, <em class="sig-param">eattr_name=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#projectBipartiteParallel2"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.projectBipartiteParallel2" title="Permalink to this definition">¶</a></dt>
<dd><p>Creates a projection onto one of the types of projections (new implementation should be faster than projectBipartiteParallel.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>og</strong> – graph</p></li>
<li><p><strong>types</strong> – name of a boolean vertex attribute, if this is true than the node is part of the projection</p></li>
<li><p><strong>inverse</strong> – </p></li>
<li><p><strong>safe</strong> – default = true, if true safe adding of edge, makes sure taht only edges are added which are not existing. An edge is understood the same if it has the same properties.
This can be very slow.</p></li>
</ul>
</dd>
</dl>
<p>:
:param worker: number of workers, defaults to 5
:param vattr_name: defaults to name, attribute which unitquely defines an edge
:param save_intermediate:
:param eattr_name:
:return:</p>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.union">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">union</code><span class="sig-paren">(</span><em class="sig-param">g_1</em>, <em class="sig-param">g_2</em>, <em class="sig-param">v_attr_name</em>, <em class="sig-param">e_attr_name=None</em>, <em class="sig-param">typ_field=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#union"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.union" title="Permalink to this definition">¶</a></dt>
<dd><p>siehe <a class="reference external" href="https://github.com/igraph/igraph/issues/876">https://github.com/igraph/igraph/issues/876</a>
Erzeugt die Vereinigung zweier (gerichteter) Graphen über gemeinsame “v_attr_name”.
Kanten mit gleichen Attribute werden zusammengefasst. Zur Zeit wird ein eventuelles “weight”-Attribute
herausgefilter.</p>
<p>&#64;param g_1 Graph 1
&#64;param g_2 Graph 2
&#64;param v_attr_name Name des Attributes, dass zur eindeutigen Identifikation der Knoten  benutzt werden kann.
&#64;param typ_field if not only field of the same type are joined identified by the value of typ_field</p>
<p>&#64;returns vereinigten Graphen</p>
</dd></dl>

<dl class="function">
<dt id="network_extensions.igraphx.writeGraphsToFile">
<code class="sig-prename descclassname">network_extensions.igraphx.</code><code class="sig-name descname">writeGraphsToFile</code><span class="sig-paren">(</span><em class="sig-param">ynw, fl, pattern='year_network_%s', outputTypes=['graphml']</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/network_extensions/igraphx.html#writeGraphsToFile"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#network_extensions.igraphx.writeGraphsToFile" title="Permalink to this definition">¶</a></dt>
<dd><dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>ynw</strong> – dictionary years –&gt; graphs</p></li>
<li><p><strong>fl</strong> – filehandle</p></li>
<li><p><strong>pattern</strong> – pattern for filenames defaults to “year_network_%s”</p></li>
<li><p><strong>outputTypes</strong> – list of output types defaults to [“graphml”]</p></li>
</ul>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p></p>
</dd>
</dl>
</dd></dl>

</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="multilayer.html" class="btn btn-neutral float-right" title="Network network_extensions.multilayer" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="index.html" class="btn btn-neutral float-left" title="Welcome to NetExt1’s documentation!" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, Dirk Wintergrün

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>